##### GENERAL STUFF #####

%define libname %mklibname exif 12
%define __libtoolize    /bin/true

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.23
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libexif/
Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.xz
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
Provides:	libexif
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	doxygen
Obsoletes:	%{name} < %version

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %libname
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		System/Libraries

%description -n %libname

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-devel
Group:		Development/Libraries

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q
%apply_patches



##### BUILD #####

%build
autoreconf -fiv

%configure2_5x --disable-static

%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{libname} 
/sbin/ldconfig

%postun -n %{libname} 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT



##### libexif
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

##### libexif-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/libexif

##### CHANGELOG #####

%changelog
* Tue Sep 28 2021 tex - 0.6.23-1pclos2021
- new version

* Fri May 29 2020 tex - 0.6.22-1pclos2020
- new version

* Wed Aug 14 2019 tex - 0.6.21-2pclos2019
- rebuild against updates

